A configuration for a query for DomainUsers. term and fields are required.

See the developer guide for an example.

### Hierarchy

- UserQuery

## Index

### Properties

- fields
- limit
- offset
- orderBy
- term

## Properties

### fields

fields: UserField | UserField[]

The field or fields on which to query

### Optionallimit

limit: number

An optional maximum number of search results to return. Useful when there are many potential matches and pagination is desired.

### Optionaloffset

offset: number

For pagination, the zero-based offset of query results. Optional.

E.g. To get the second page of ten user results:

    identityService.search({
      fields: "lastName",
      term: "smith",
      offset: 10,
      limit: 10
    })

### OptionalorderBy

orderBy: OrderBy

An optional configuration for ordering by a given field and direction.

### term

term: string

The search query, e.g. `smith`